org.eclipse.microprofile.fault.tolerance.tck.disableEnv

## Class DisableConfigAsset

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.disableEnv.DisableConfigAsset

All Implemented Interfaces:
  org.jboss.shrinkwrap.api.asset.Asset

    public class DisableConfigAsset
    extends Object
    implements org.jboss.shrinkwrap.api.asset.Asset

Asset which writes a config file with lines to enable and disable annotations

Author:
  Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`DisableConfigAsset()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DisableConfigAsset` `disable(Class<?> clazz, Class<? extends Annotation> annotation)` Add config entry to disable an annotation on the given class
`DisableConfigAsset` `disable(Class<?> clazz, String method, Class<? extends Annotation> annotation)` Add config entry to disable an annotation on the given class and method
`DisableConfigAsset` `disable(Class<? extends Annotation> annotation)` Add config entry to disable an annotation globally
`DisableConfigAsset` `disableGlobally()` Globally disable Fault Tolerance except Fallback by setting MP_Fault_Tolerance_NonFallback_Enabled to false.
`DisableConfigAsset` `enable(Class<?> clazz, Class<? extends Annotation> annotation)` Add config entry to enable an annotation on the given class
`DisableConfigAsset` `enable(Class<?> clazz, String method, Class<? extends Annotation> annotation)` Add config entry to enable an annotation on the given class and method
`DisableConfigAsset` `enable(Class<? extends Annotation> annotation)` Add config entry to enable an annotation globally
`Properties` `getProps()`
`InputStream` `openStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DisableConfigAsset

    public DisableConfigAsset()

### Method Detail

#### getProps

    public Properties getProps()

#### openStream

    public InputStream openStream()

Specified by:
  `openStream` in interface `org.jboss.shrinkwrap.api.asset.Asset`

#### disableGlobally

    public DisableConfigAsset disableGlobally()

Globally disable Fault Tolerance except Fallback by setting MP_Fault_Tolerance_NonFallback_Enabled to false.

#### disable

    public DisableConfigAsset disable(Class<?> clazz,
                                      String method,
                                      Class<? extends Annotation> annotation)

Add config entry to disable an annotation on the given class and method

Parameters:
  `clazz` - the class
  `method` - the method
  `annotation` - the annotation
Returns:
  itself

#### disable

    public DisableConfigAsset disable(Class<?> clazz,
                                      Class<? extends Annotation> annotation)

Add config entry to disable an annotation on the given class

Parameters:
  `clazz` - the class
  `annotation` - the annotation
Returns:
  itself

#### disable

    public DisableConfigAsset disable(Class<? extends Annotation> annotation)

Add config entry to disable an annotation globally

Parameters:
  `annotation` - the annotation
Returns:
  itself

#### enable

    public DisableConfigAsset enable(Class<?> clazz,
                                     String method,
                                     Class<? extends Annotation> annotation)

Add config entry to enable an annotation on the given class and method

Parameters:
  `clazz` - the class
  `method` - the method
  `annotation` - the annotation
Returns:
  itself

#### enable

    public DisableConfigAsset enable(Class<?> clazz,
                                     Class<? extends Annotation> annotation)

Add config entry to enable an annotation on the given class

Parameters:
  `clazz` - the class
  `annotation` - the annotation
Returns:
  itself

#### enable

    public DisableConfigAsset enable(Class<? extends Annotation> annotation)

Add config entry to enable an annotation globally

Parameters:
  `annotation` - the annotation
Returns:
  itself